Bug 41430 - Installer crashes after formating / partition
Installer crashes after formating / partition
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-20 05:27 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-10 10:43:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Debug message from anaconda (764 bytes, text/plain)
2001-05-22 18:00 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2001-05-20 05:27:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Supplied by 
blueyonder)

Description of problem:
I use Disk Druid to partition my disk space but even with automatic 
partitioning the installer crashes with a message of not enough swap space.

How reproducible:
Always

Steps to Reproduce:
1.I have a 41.1Gb hard drive with 3 FAT32 partitions and 1 Linux Partition.
2.Make a boot disk to install Linux
3.Use Disk Druid to partition the Linux Partition
4./boot --> 16MB, <swap> --> 128MB, / --> 9800MB
5.I already have 256MB memory so swap should be enough
6.Formating all partitions and starting installation
	

Actual Results:  Installer spends more than an hour to format / partition 
and at th end comes with a message of a bug that at the end says not 
enough space to create /temp/swap

Expected Results:  It should have installed Linux normally

Additional info:
Comment 1 Brent Fox 2001-05-20 13:11:28 EDT
Please attach the complete debug message.  I'll have a much better chance of
solving the problem with the traceback info.
Comment 2 Need Real Name 2001-05-22 18:00:07 EDT
Created attachment 19351 [details]
Debug message from anaconda
Comment 3 Brent Fox 2001-05-24 11:54:44 EDT
Weird.  I can't explain why this is happening.  What if you make the swap
partition 256MB?  Does that help?
Comment 4 Need Real Name 2001-05-24 15:11:26 EDT
I tried both 128MB and 256MB <swap> partitions already and I get the same 
message.
Comment 5 Brent Fox 2001-05-24 17:36:59 EDT
Are you using text mode or GUI mode?
Comment 6 Need Real Name 2001-05-24 20:27:04 EDT
GUI mode
Comment 7 Brent Fox 2001-05-31 13:53:26 EDT
Can you look on VC3 and VC4 and see if there are any error messages?  The fact
that formatting the / partition takes over an hour is a bad sign...that
shouldn't happen.  
Also, you might try booting with 'linux ide=nodma'.  Does that help at all?
Comment 8 Brent Fox 2001-06-10 10:42:58 EDT
Closing due to inactivity. Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.